#include "MainWindow.hpp"
#include "SDL.hpp"
#include "DumpDVD.hpp"

#include "D3D.hpp"
#include "../Scsi/OpticalDrive.hpp"
#include "DvdSpin/D3DSpin.hpp"

#include <iostream>
#include <string>
#include <vector>


namespace Li::Gui {
	MainWindow::MainWindow() {
		this->sdl = new SDL("DumpDVD", 800, 400);
		this->sdl->SetMaxFPS(24.0);

		
		// Create menu
		DumpDVD* dumpDvdMenu = new DumpDVD(sdl->Renderer());
		while (!this->sdl->IsExiting()) {
			this->sdl->PollEvent();
			this->sdl->NewFrame();

			dumpDvdMenu->RenderUI();


			this->sdl->Render();
		}
		delete dumpDvdMenu;
	}

	MainWindow::~MainWindow() {

	}

}